#!/bin/sh
# hacksat.org
CAMNAME="MGCamd-1.26/NewCS-1.30"
USERNAME=""
ZAPTIME=6
CAMID=4275
DVBSET=0
INFOFILE="ecm.info"
# end

remove_tmp () {
	rm -rf /tmp/pid.info /tmp/ecm.info /tmp/cardinfo
}

case "$1" in
	start)
	echo "[SCRIPT] $1: $CAMNAME"
	remove_tmp
	/var/bin/newcs_1.30 &
	sleep 15 
	/var/bin/mgcamd_1.26 &
	;;
	stop)
	echo "[SCRIPT] $1: $CAMNAME"
	killall -9 mgcamd_1.26 newcs_1.30 2>/dev/null
	remove_tmp
	;;
	*)
	$0 stop
	exit 1
	;;
esac

exit 0
